import { Repository } from 'typeorm';
import { Ticket, TicketPriority, TicketStatus } from './ticket.entity';
import { CreateCommentDto } from './create-comment.dto';
import { UpdateTicketDto } from './update-ticket.dto';
import { Comment } from './comment.entity';
import { CreateTicketWithMessageDto } from './CreateTicketWithMessageDto';
export declare class SupportService {
    private ticketRepo;
    private commentRepo;
    constructor(ticketRepo: Repository<Ticket>, commentRepo: Repository<Comment>);
    createTicket(dto: CreateTicketWithMessageDto): Promise<Ticket>;
    findAll(opts: {
        page?: number;
        limit?: number;
        status?: TicketStatus;
        priority?: TicketPriority;
        q?: string;
        vendorId?: string;
        order?: 'ASC' | 'DESC';
    }): Promise<[Ticket[], number]>;
    findOne(id: string): Promise<Ticket>;
    updateTicket(id: string, dto: UpdateTicketDto): Promise<Ticket>;
    updateStatus(id: string, status: TicketStatus): Promise<Ticket>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    addComment(ticketId: string, dto: CreateCommentDto): Promise<Comment>;
}
